local i=require"luci.model.tasks"
local o=require"luci.model.chinesesubfinder"
local a,t,e
a=i.docker_map("chinesesubfinder","chinesesubfinder","/usr/libexec/istorec/chinesesubfinder.sh",
translate("ChineseSubFinder"),
translate("ChineseSubFinder is a tool which can download chinese subtitle automaticly.")
..translate("Official website:")..' <a href=\"https://github.com/allanpk716/ChineseSubFinder\" target=\"_blank\">https://github.com/allanpk716/ChineseSubFinder</a>')
t=a:section(SimpleSection,translate("Service Status"),translate("ChineseSubFinder status:"))
t:append(Template("chinesesubfinder/status"))
t=a:section(TypedSection,"main",translate("Setup"),translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Value,"http_port",translate("HTTP Port").."<b>*</b>")
e.rmempty=false
e.default="19035"
e.datatype="string"
e=t:option(Value,"web_port","WEB Port<b>*</b>")
e.rmempty=false
e.default="19037"
e.datatype="string"
e=t:option(Value,"image_name",translate("Image").."<b>*</b>")
e.rmempty=false
e.datatype="string"
e:value("allanpk716/chinesesubfinder:latest-lite","allanpk716/chinesesubfinder:latest-lite")
e:value("allanpk716/chinesesubfinder:v0.43.1-lite","allanpk716/chinesesubfinder:v0.43.1-lite")
e.default="allanpk716/chinesesubfinder:latest-lite"
local i=o.blocks()
local n=o.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local i,o=o.find_paths(i,n,"Configs")
for a,t in pairs(i)do
e:value(t,t)
end
e.default=o
e=t:option(Value,"media_path",translate("Media path"),translate("Not required, all disk is mounted in").." <a href='/cgi-bin/luci/admin/services/linkease/file/?path=/root/mnt' target='_blank'>/mnt</a>")
e.datatype="string"
return a
